INTERFACE
SUBROUTINE CLOUDVAR&
 & (KIDIA, KFDIA, KLON, KLEV, KTOP, KBOT,&
 & PQ, PSAT, PLSUM,&
 & PVAR, PQTMIN, PQTMAX) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTOP
INTEGER(KIND=JPIM),INTENT(IN) :: KBOT
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSUM(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVAR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQTMIN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQTMAX(KLON,KLEV)
INTEGER(KIND=JPIM), PARAMETER :: IITER=20
END SUBROUTINE CLOUDVAR
END INTERFACE
